%global srcname epam


Name:       erlang-%{srcname}
Version:    1.0.12
Release:    %mkrel 2

Group:      Development/Erlang
Summary:    Library for ejabberd for PAM authentication support
License:    ASL 2.0
URL:        https://github.com/processone/epam/
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: erlang-rebar
BuildRequires: pam-devel

Provides: erlang-p1_pam = %{version}-%{release}
Obsoletes: erlang-p1_pam < 1.0.3-4%{?dist}


%description
An Erlang library for ejabberd that helps with PAM authentication.


%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

rm configure
touch config.{guess,sub}
ln -s %{_datadir}/automake-*/install-sh .

%build
autoreconf -ivf
%configure

%{erlang_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin
install -pm755 priv/bin/%{srcname} $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin/


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}/




%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.0.12-2.mga9
+ Revision: 1838167
- Mageia 9 Mass Rebuild

* Wed Feb 09 2022 neoclust <neoclust> 1.0.12-1.mga9
+ Revision: 1772658
- New version 1.0.12

* Sun Dec 20 2020 neoclust <neoclust> 1.0.10-1.mga8
+ Revision: 1661926
- New version 1.0.10

* Sat Oct 24 2020 wally <wally> 1.0.9-1.mga8
+ Revision: 1639111
- new version 1.0.9
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 wally <wally> 1.0.4-1.mga7
+ Revision: 1288133
- imported package erlang-epam


* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4 (#1560804).
- https://github.com/processone/epam/blob/1.0.4/CHANGELOG.md
- Provide a debug package.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Oct 28 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.3-4
- Bump the obsoletes statement on p1_pam to -4 to account for two mass rebuilds in that package
  (#1506440).

* Sun Sep 24 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.3-2
- Initial release.
